package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-17 13:23:33
 */
@Data
@TableName("company")
public class CompanyEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 单位id (单位表)
	 */
	@TableId
	private Long id;
	/**
	 * 账号
	 */
	private String username;
	/**
	 * 密码
	 */
	private String password;
	/**
	 * 单位名称
	 */
	private String companyname;
	/**
	 * 单位地址
	 */
	private String address;
	/**
	 * 单位电话
	 */
	private String telephone;
	/**
	 * 联系人姓名
	 */
	private String contactname;
	/**
	 * 联系人电话
	 */
	private String cellphone;
	/**
	 * 统一社会信用代码(Uniform Social Credit Code
	 */
	private String uscCode;
	/**
	 * 证件扫码件(图片)地址
	 */
	private String uscPicture;
	/**
	 * 账号等级
	 */
	private Integer level;
	/**
	 * 是否通过审核 0:未通过 1:通过
	 */
	private Integer isCheck;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改时间
	 */
	private Date modifyTime;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;
}
