package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 会议表
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-20 14:59:39
 */
@Data
@TableName("meeting")
public class MeetingEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 会议id (会议表)
	 */
	@TableId
	private Long id;
	/**
	 * 举办单位id
	 */
	private Long companyId;
	/**
	 * 会议名称(中文)
	 */
	private String nameCn;
	/**
	 * 会议名称(英文)
	 */
	private String nameEn;
	/**
	 * 举办地点
	 */
	private String address;
	/**
	 * 开始时间
	 */
	private Date startTime;
	/**
	 * 结束时间
	 */
	private Date endTime;
	/**
	 * 官方网址
	 */
	private String officeWebsite;
	/**
	 * 会议封面图片地址
	 */
	private String titlePicture;
	/**
	 * 涉及学科
	 */
	private String subjects;
	/**
	 * 涉及行业
	 */
	private String industries;
	/**
	 * 参会人员类型
	 */
	private String attendersType;
	/**
	 * 会议负责人
	 */
	private String serviceEmp;
	/**
	 * 线上报名截止时间
	 */
	private Date onlineRegDeadline;
	/**
	 * 现场报名截止时间
	 */
	private Date onsiteRegDeadline;
	/**
	 * 会议介绍
	 */
	private String introduction;
	/**
	 * 举办单位id
	 */
	private Long paperRequireId;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改时间
	 */
	private Date modifyTime;
	/**
	 * 是否通过审核 0:未通过 1:通过
	 */
	private Integer isCheck;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;

}
