package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 14:51:30
 */
@Data
@TableName("payment")
public class PaymentEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 缴费信息id
	 */
	@TableId
	private Long id;
	/**
	 * 订单编号
	 */
	private String orderId;
	/**
	 * 公司id
	 */
	private Long meetingId;
	/**
	 * 参会人员id
	 */
	private Long attendersId;
	/**
	 * 费用类型id
	 */
	private Long feeId;
	/**
	 * 缴费时间
	 */
	private Date payTime;
	/**
	 * 缴费方式
	 */
	private Integer payType;
	/**
	 * 缴费项目
	 */
	private String payOption;
	/**
	 * 金额
	 */
	private BigDecimal money;
	/**
	 * 发票抬头
	 */
	private Integer taxType;
	/**
	 * 发票抬头
	 */
	private String taxTitle;
	/**
	 * 纳税人税号
	 */
	private String taxNumber;
	/**
	 * 地址 电话
	 */
	private String addrPhone;
	/**
	 * 开户行及账号
	 */
	private String bankAddrAccount;
	/**
	 * 邮寄地址
	 */
	private String taxAddress;
	/**
	 * 确认是否付款
	 */
	private Integer isPay;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;
}
